Subject: Re: Last Call: <draft-gregorio-uritemplate-07.txt> (URI Template)

From: Frank Ellermann <[email-masked]>
Date: Thu, 1 Dec 2011 11:22:21 +0100

On 30 November 2011 00:44, Mark Nottingham <[email-masked]> wrote:

> Not sure what you're saying here; the URI escape syntax is % HEXDIG HEXDIG.

ACK, sorry for the confusion, I used the same ABNF hex. constructs as in
the "literals" section for the square brackets.

> If the literal character "[" occurs in a template, it'll also be copied
> into the result, since that's part of reserved (thanks to gen-delims).

> The intent here is definitely for a processor NOT to need to know what
> part of the URI it's in, since templates can make this ambiguous.

Okay, that was answered my question, when the draft says "anywhere" it
actually means "anywhere", even if the output is no valid UEL.

-Frank

---

From: "t.petch" <[email-masked]>
Date: Thu, 1 Dec 2011 11:50:40 +0100

2.3
Is undefined formally defined?  This section suggests that 'undef' or 'null',
inter alia, may be used to undefine a variable while 3.2 uses 'null'.  I see no
more formal definition of how to undefine a variable, as opposed to it having a
value or having an empty value.

1.2
worth pointing out that 'reserved' and 'unreserved' are formally defined in 1.5,
to stop people reaching for RFC3986.

The examples are rather complicated.  If I have a month to spare, I will work my
way through them by which time, were I to find anything,
doubtless it would be erratum time and no longer LC time.
(How simple life was in the days of -00).

Tom Petch

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 3 Dec 2011 11:47:28 +1100

> value or having an empty value.

Based on previous feedback, we're making a forward reference to 3.2.1 to clarify this.

> to stop people reaching for RFC3986.

If this is an issue, I'd actually prefer to place the notational conventions section higher in the document. Thoughts?

> (How simple life was in the days of -00).

Thanks for the feedback,

--
Mark Nottingham   http://www.mnot.net/

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 2 Dec 2011 16:50:59 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of t.petch
> Sent: Thursday, December 01, 2011 2:51 AM
> To: Mark Nottingham
> Cc: IETF Discussion
> Subject: Re: Last Call: <draft-gregorio-uritemplate-07.txt> (URI Template)
> 
> The examples are rather complicated.  If I have a month to spare, I
> will work my way through them by which time, were I to find anything,

Perhaps, but very valuable when testing my implementation of what this specification contains.

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 3 Dec 2011 02:05:44 +0100

On 3 December 2011 01:47, Mark Nottingham <[email-masked]> wrote:

>> 1.2
>> worth pointing out that 'reserved' and 'unreserved' are formally
>> defined in 1.5, to stop people reaching for RFC3986.

> If this is an issue, I'd actually prefer to place the notational
> conventions section higher in the document. Thoughts?

Moving 1.5 to a position between 1.1 and 1.2 is a very good idea.
It won't stop me from reaching for RFC 3986 again and again and
again when I seriously try to grok syntactical details.

Unrelated:  IMHO it is perfectly okay to import ABNF terms such
as SP, DQUOTE, and CTL even when they are only used in a comment.

E.g., I had to check that 7F belongs to CTL in this draft, or
that 80..9F don't in another draft (IRIbis).  It is no problem
that I'm forced to reach for STD 66 and 68 until I'll eventually
know them by heart.

-Frank

---

From: "t.petch" <[email-masked]>
Date: Sat, 3 Dec 2011 12:43:51 +0100

----- Original Message -----
From: "Murray S. Kucherawy" <[email-masked]>
To: "IETF Discussion" <[email-masked]>
Sent: Saturday, December 03, 2011 1:50 AM
> Perhaps, but very valuable when testing my implementation of what this
specification contains.

If they are right:-).

I grew up at a time when, famously, all worked examples in school textbooks
contained errors, which we delighted in finding.  I occasionally do the same
with the manuals of leading manufacturers:-(

Tom Petch

---

From: "t.petch" <[email-masked]>
Date: Sat, 3 Dec 2011 12:41:07 +0100

----- Original Message -----
From: "Mark Nottingham" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: "IETF Discussion" <[email-masked]>;
<[email-masked]>
Sent: Saturday, December 03, 2011 1:47 AM

> value or having an empty value.

Based on previous feedback, we're making a forward reference to 3.2.1 to clarify
this.

> to stop people reaching for RFC3986.

If this is an issue, I'd actually prefer to place the notational conventions
section higher in the document. Thoughts?

<tp>
No, I would not.

I think that this I-D, unlike many, gets the sequence right, of explanation,
formal definition and then the nitty-gritty.  Moving 1.5 higher up would impair
that.  Rather, I would insert
'reserved and unreserved are formally defined in section 1.5 using the same
definitions as appear in [RFC3986]'
after the first paragraph of 1.2.

Tom Petch

Thanks for the feedback,

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 7 Dec 2011 14:02:40 +1100

On 03/12/2011, at 10:41 PM, t.petch wrote:

> Rather, I would insert

In SVN.

Cheers,

---

From: "t.petch" <[email-masked]>
Date: Wed, 7 Dec 2011 18:43:55 +0100

Incidentally I get
< acsmt358.oracle.com #5.1.1 SMTP; 550 5.1.1 Recipient unknown>
for [email-masked]
and
<[email-masked]>: delivery temporarily suspended: connect to
    fireeye-mail.emps.mitre.org[129.83.4.94]:25: Connection timed out
for [email-masked]>;
which may or may not matter.  I assume that these are part of the
[email-masked]
<[email-masked]>
exploder so I have removed it from this.

Tom Petch

----- Original Message -----
From: "Mark Nottingham" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: "IETF Discussion" <[email-masked]>;
<[email-masked]>
Sent: Wednesday, December 07, 2011 4:02 AM
Subject: Re: Last Call: <draft-gregorio-uritemplate-07.txt> (URI Template)